#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './authcomplete.ui'
**
** Created: Wed Nov 19 10:32:32 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "authcomplete.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qframe.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AuthCompleteDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
AuthCompleteDlg::AuthCompleteDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "AuthCompleteDlg" );
    setSizeGripEnabled( FALSE );
    setModal( TRUE );
    AuthCompleteDlgLayout = new QVBoxLayout( this, 11, 6, "AuthCompleteDlgLayout"); 

    LblOne = new QLabel( this, "LblOne" );
    QFont LblOne_font(  LblOne->font() );
    LblOne_font.setPointSize( 14 );
    LblOne->setFont( LblOne_font ); 
    LblOne->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    AuthCompleteDlgLayout->addWidget( LblOne );
    spacer3 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    AuthCompleteDlgLayout->addItem( spacer3 );

    LblTwo = new QLabel( this, "LblTwo" );
    LblTwo->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    AuthCompleteDlgLayout->addWidget( LblTwo );
    spacer2 = new QSpacerItem( 20, 50, QSizePolicy::Minimum, QSizePolicy::Expanding );
    AuthCompleteDlgLayout->addItem( spacer2 );

    frame3 = new QFrame( this, "frame3" );
    frame3->setFrameShape( QFrame::StyledPanel );
    frame3->setFrameShadow( QFrame::Raised );
    frame3Layout = new QHBoxLayout( frame3, 11, 6, "frame3Layout"); 
    spacer1 = new QSpacerItem( 80, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    frame3Layout->addItem( spacer1 );

    buttonOk = new QPushButton( frame3, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    frame3Layout->addWidget( buttonOk );

    buttonCancel = new QPushButton( frame3, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    frame3Layout->addWidget( buttonCancel );
    AuthCompleteDlgLayout->addWidget( frame3 );

    LblThree = new QLabel( this, "LblThree" );
    LblThree->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    AuthCompleteDlgLayout->addWidget( LblThree );
    languageChange();
    resize( QSize(488, 327).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AuthCompleteDlg::~AuthCompleteDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AuthCompleteDlg::languageChange()
{
    setCaption( tr2i18n( "Complete Authorization" ) );
    LblOne->setText( tr2i18n( "Return to this window after you have finished the authorization process on Flickr.com" ) );
    LblTwo->setText( tr2i18n( "Once you're done, click the 'Complete Authorization' button below and you can begin using KFlickr" ) );
    buttonOk->setText( tr2i18n( "C&omplete Authorization" ) );
    buttonOk->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    LblThree->setText( tr2i18n( "(You can revoke this program's authorization at any time in your account page at flickr.com )" ) );
}

#include "authcomplete.moc"
