#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kflickrWidgetUI.ui'
**
** Created: Wed Nov 19 10:32:34 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kflickrWidgetUI.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"

/*
 *  Constructs a kflickrWidgetUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
kflickrWidgetUI::kflickrWidgetUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "kflickrWidgetUI" );
    kflickrWidgetUILayout = new QVBoxLayout( this, 11, 6, "kflickrWidgetUILayout"); 

    frame3 = new QFrame( this, "frame3" );
    frame3->setFrameShape( QFrame::StyledPanel );
    frame3->setFrameShadow( QFrame::Raised );
    frame3Layout = new QHBoxLayout( frame3, 11, 6, "frame3Layout"); 

    userlabel = new QLabel( frame3, "userlabel" );
    frame3Layout->addWidget( userlabel );

    m_users = new QComboBox( FALSE, frame3, "m_users" );
    m_users->setMinimumSize( QSize( 300, 0 ) );
    frame3Layout->addWidget( m_users );
    spacer2 = new QSpacerItem( 220, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    frame3Layout->addItem( spacer2 );

    m_authNew = new QPushButton( frame3, "m_authNew" );
    frame3Layout->addWidget( m_authNew );
    kflickrWidgetUILayout->addWidget( frame3 );

    frame4 = new QFrame( this, "frame4" );
    frame4->setFrameShape( QFrame::StyledPanel );
    frame4->setFrameShadow( QFrame::Raised );
    frame4Layout = new QHBoxLayout( frame4, 11, 6, "frame4Layout"); 

    m_addBtn = new KPushButton( frame4, "m_addBtn" );
    frame4Layout->addWidget( m_addBtn );

    m_removeBtn = new KPushButton( frame4, "m_removeBtn" );
    m_removeBtn->setEnabled( FALSE );
    frame4Layout->addWidget( m_removeBtn );
    spacer4 = new QSpacerItem( 220, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    frame4Layout->addItem( spacer4 );

    m_uploadBtn = new KPushButton( frame4, "m_uploadBtn" );
    m_uploadBtn->setEnabled( FALSE );
    frame4Layout->addWidget( m_uploadBtn );
    kflickrWidgetUILayout->addWidget( frame4 );

    frame6 = new QFrame( this, "frame6" );
    frame6->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 1, frame6->sizePolicy().hasHeightForWidth() ) );
    frame6->setFrameShape( QFrame::StyledPanel );
    frame6->setFrameShadow( QFrame::Raised );
    frame6Layout = new QHBoxLayout( frame6, 11, 6, "frame6Layout"); 

    m_listHolder = new QLabel( frame6, "m_listHolder" );
    m_listHolder->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, m_listHolder->sizePolicy().hasHeightForWidth() ) );
    m_listHolder->setMinimumSize( QSize( 200, 0 ) );
    m_listHolder->setMaximumSize( QSize( 32767, 32767 ) );
    frame6Layout->addWidget( m_listHolder );

    frame6_2 = new QFrame( frame6, "frame6_2" );
    frame6_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 1, 0, frame6_2->sizePolicy().hasHeightForWidth() ) );
    frame6_2->setFrameShape( QFrame::NoFrame );
    frame6_2->setFrameShadow( QFrame::Raised );
    frame6_2Layout = new QVBoxLayout( frame6_2, 0, 6, "frame6_2Layout"); 

    m_propsHolder = new QLabel( frame6_2, "m_propsHolder" );
    m_propsHolder->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 1, 1, m_propsHolder->sizePolicy().hasHeightForWidth() ) );
    frame6_2Layout->addWidget( m_propsHolder );

    frame7 = new QFrame( frame6_2, "frame7" );
    frame7->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, frame7->sizePolicy().hasHeightForWidth() ) );
    frame7->setFrameShape( QFrame::NoFrame );
    frame7->setFrameShadow( QFrame::Raised );
    frame7Layout = new QHBoxLayout( frame7, 0, 6, "frame7Layout"); 

    m_previousBtn = new KPushButton( frame7, "m_previousBtn" );
    m_previousBtn->setEnabled( FALSE );
    frame7Layout->addWidget( m_previousBtn );

    m_nextBtn = new KPushButton( frame7, "m_nextBtn" );
    m_nextBtn->setEnabled( FALSE );
    frame7Layout->addWidget( m_nextBtn );
    frame6_2Layout->addWidget( frame7 );
    frame6Layout->addWidget( frame6_2 );
    kflickrWidgetUILayout->addWidget( frame6 );
    languageChange();
    resize( QSize(736, 642).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
kflickrWidgetUI::~kflickrWidgetUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void kflickrWidgetUI::languageChange()
{
    setCaption( tr2i18n( "kflickrWidgetUI" ) );
    userlabel->setText( tr2i18n( "User:" ) );
    m_authNew->setText( tr2i18n( "Authenticate &New User..." ) );
    m_authNew->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    m_addBtn->setText( tr2i18n( "&Add" ) );
    m_removeBtn->setText( tr2i18n( "Remove" ) );
    m_uploadBtn->setText( tr2i18n( "&Upload" ) );
    m_uploadBtn->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    m_listHolder->setText( tr2i18n( "Photo List" ) );
    m_propsHolder->setText( tr2i18n( "Properties" ) );
    m_previousBtn->setText( QString::null );
    m_nextBtn->setText( QString::null );
}

#include "kflickrWidgetUI.moc"
